Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Member Functions | Private Attributes | List of all members
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\IO Class Reference
Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\IO:

## Public Member Functions
| __construct (ComplexSettingParserInterface $complexSettingParser)
| addSemanticConfig (NodeBuilder $nodeBuilder)
| Adds semantic configuration definition. More...
| mapConfig (array &$scopeSettings, $currentScope, ContextualizerInterface $contextualizer)
| Does semantic config to internal container parameters mapping for $currentScope. More...
| postMap (array $config, ContextualizerInterface $contextualizer)
| Post process configuration to add io_root_dir and io_prefix. More...
Public Member Functions inherited from eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\AbstractParser
| preMap (array $config, ContextualizerInterface $contextualizer)
| This method is called by the ConfigurationProcessor before looping over available scopes. More...

## Private Member Functions
| addComplexParametersDependencies ($parameter, $scope, ContainerBuilder $container)
| Applies dependencies of complex $parameter in $scope. More...
| postProcessComplexSetting ($setting, $sa, ContainerBuilder $container)

## Private Attributes
| $complexSettingParser

## Detailed Description

Definition at line 15 of file IO.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\IO::__construct | ( | ComplexSettingParserInterface | $complexSettingParser | ) |

Definition at line 20 of file IO.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\IO\$complexSettingParser.

## Member Function Documentation

## ◆ addComplexParametersDependencies()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\IO::addComplexParametersDependencies | ( |  | $parameter,
|  |  | $scope,
|  | ContainerBuilder | $container
| ) |  |
| private

Applies dependencies of complex $parameter in $scope.

Definition at line 128 of file IO.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\IO\postMap().

## ◆ addSemanticConfig()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\IO::addSemanticConfig | ( | NodeBuilder | $nodeBuilder | ) |

Adds semantic configuration definition.

Parameters

  \Symfony\Component\Config\Definition\Builder\NodeBuilder | $nodeBuilder | Node just under ezpublish.system.<siteaccess>

Implements eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ParserInterface.

Definition at line 25 of file IO.php.

## ◆ mapConfig()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\IO::mapConfig | ( | array & | $scopeSettings,
|  |  | $currentScope,
|  | ContextualizerInterface | $contextualizer
| ) |  |

Does semantic config to internal container parameters mapping for $currentScope.

This method is called by the `ConfigurationProcessor`, for each available scopes (e.g. SiteAccess, SiteAccess groups or "global").

Parameters

  array | $scopeSettings | Parsed semantic configuration for current scope. It is passed by reference, making it possible to alter it for usage after `mapConfig()` has run.
  string | $currentScope |
  ContextualizerInterface | $contextualizer |

Implements eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ConfigurationMapperInterface.

Definition at line 58 of file IO.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ContextualizerInterface\setContextualParameter().

## ◆ postMap()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\IO::postMap | ( | array | $config,
|  | ContextualizerInterface | $contextualizer
| ) |  |

Post process configuration to add io_root_dir and io_prefix.

Reimplemented from eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\AbstractParser.

Definition at line 87 of file IO.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\IO\addComplexParametersDependencies(), eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ContextualizerInterface\getContainer(), eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\IO\postProcessComplexSetting(), and eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\ContextualizerInterface\setContextualParameter().

## ◆ postProcessComplexSetting()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\IO::postProcessComplexSetting | ( |  | $setting,
|  |  | $sa,
|  | ContainerBuilder | $container
| ) |  |
| private

Definition at line 161 of file IO.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\IO\postMap().

## Member Data Documentation

## ◆ $complexSettingParser

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\IO::$complexSettingParser
| private

Definition at line 18 of file IO.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\Parser\IO\__construct().

The documentation for this class was generated from the following file:

- IO.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.